Re: PCL-users Digest, Vol 3, Issue 18

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: PCL-users Digest, Vol 3, Issue 18

galenya
Radu,

the problem is in the Ubuntu 10.04 packages: libpcl_base.so depends on
libhdf5_cpp-1.6.6.so.0

The svn version of cturtle works fine for me. the newly compiled libpcl
depends now on libhdf5_cpp.so.6 => /usr/lib/libhdf5_cpp.so.6

Guillem

> Galenya, Are you downloading the svn version of cturtle,
> https://code.ros.org/svn/ros-pkg/stacks/point_cloud_perception/branches/cturtle/ 
> ? If not, can you please try that branch? It might be that either the
> debian packages need to add that dependency, or that we screwed up and
> need to re-release in cturtle. Cheers, Radu. On 11/26/2010 06:27 AM,
> galenya wrote:
>> >  Hi all,
>> >
>> >  On Ubuntu 10.04, the last cturtle packages installs
>> >  point_cloud_perception with a wrong dependency:
>> >
>> >     >/usr/bin/ld: warning: libhdf5_cpp-1.6.6.so.0, needed by /opt/ro
>> >  /cturtle/stacks/point_cloud_perception/pcl/lib/libpcl_base.so, not found
>> >
>> >  make&   make clean has not helped me on the ros/stack directory
>> >
>> >  A svn download and build works fine, however.
>> >
>> >

_______________________________________________
[hidden email] / http://pcl.ros.org
https://code.ros.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL-users Digest, Vol 3, Issue 18

Radu B. Rusu
Administrator
Guillem,

We just released or about to release a new set of Ubuntu packages. If the cturtle SVN version works, then I suppose that
this will be fixed with the new packages -- if not, we'll investigate to see what went wrong.

Thanks for the report!

Cheers,
Radu.


On 11/27/2010 10:07 AM, Guillem Alenya wrote:

> Radu,
>
> the problem is in the Ubuntu 10.04 packages: libpcl_base.so depends on
> libhdf5_cpp-1.6.6.so.0
>
> The svn version of cturtle works fine for me. the newly compiled libpcl
> depends now on libhdf5_cpp.so.6 =>  /usr/lib/libhdf5_cpp.so.6
>
> Guillem
>> Galenya, Are you downloading the svn version of cturtle,
>> https://code.ros.org/svn/ros-pkg/stacks/point_cloud_perception/branches/cturtle/
>> ? If not, can you please try that branch? It might be that either the
>> debian packages need to add that dependency, or that we screwed up and
>> need to re-release in cturtle. Cheers, Radu. On 11/26/2010 06:27 AM,
>> galenya wrote:
>>>>   Hi all,
>>>>
>>>>   On Ubuntu 10.04, the last cturtle packages installs
>>>>   point_cloud_perception with a wrong dependency:
>>>>
>>>>      >/usr/bin/ld: warning: libhdf5_cpp-1.6.6.so.0, needed by /opt/ro
>>>>   /cturtle/stacks/point_cloud_perception/pcl/lib/libpcl_base.so, not found
>>>>
>>>>   make&    make clean has not helped me on the ros/stack directory
>>>>
>>>>   A svn download and build works fine, however.
>>>>
>>>>
>
> _______________________________________________
> [hidden email] / http://pcl.ros.org
> https://code.ros.org/mailman/listinfo/pcl-users
_______________________________________________
[hidden email] / http://pcl.ros.org
https://code.ros.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL-users Digest, Vol 3, Issue 18

Jeremy Leibs
Are you sure you have actually installed the debs from the 10.04 apt repository?

deb http://code.ros.org/packages/ros/ubuntu lucid main

The debs there appear to have the correct dependency:

libhdf5_cpp.so.6 => /usr/lib/libhdf5_cpp.so.6


However, the debs in the 9.04 repository

deb http://code.ros.org/packages/ros/ubuntu jaunty main

Have a dependency on libhdf5_cpp-1.6.6.so.0, which is not going to be
resolved on a lucid machine.



On Sat, Nov 27, 2010 at 11:16 AM, Radu Bogdan Rusu
<[hidden email]> wrote:

> Guillem,
>
> We just released or about to release a new set of Ubuntu packages. If the
> cturtle SVN version works, then I suppose that this will be fixed with the
> new packages -- if not, we'll investigate to see what went wrong.
>
> Thanks for the report!
>
> Cheers,
> Radu.
>
>
> On 11/27/2010 10:07 AM, Guillem Alenya wrote:
>>
>> Radu,
>>
>> the problem is in the Ubuntu 10.04 packages: libpcl_base.so depends on
>> libhdf5_cpp-1.6.6.so.0
>>
>> The svn version of cturtle works fine for me. the newly compiled libpcl
>> depends now on libhdf5_cpp.so.6 =>  /usr/lib/libhdf5_cpp.so.6
>>
>> Guillem
>>>
>>> Galenya, Are you downloading the svn version of cturtle,
>>>
>>> https://code.ros.org/svn/ros-pkg/stacks/point_cloud_perception/branches/cturtle/
>>> ? If not, can you please try that branch? It might be that either the
>>> debian packages need to add that dependency, or that we screwed up and
>>> need to re-release in cturtle. Cheers, Radu. On 11/26/2010 06:27 AM,
>>> galenya wrote:
>>>>>
>>>>>  Hi all,
>>>>>
>>>>>  On Ubuntu 10.04, the last cturtle packages installs
>>>>>  point_cloud_perception with a wrong dependency:
>>>>>
>>>>>     >/usr/bin/ld: warning: libhdf5_cpp-1.6.6.so.0, needed by /opt/ro
>>>>>  /cturtle/stacks/point_cloud_perception/pcl/lib/libpcl_base.so, not
>>>>> found
>>>>>
>>>>>  make&    make clean has not helped me on the ros/stack directory
>>>>>
>>>>>  A svn download and build works fine, however.
>>>>>
>>>>>
>>
>> _______________________________________________
>> [hidden email] / http://pcl.ros.org
>> https://code.ros.org/mailman/listinfo/pcl-users
>
_______________________________________________
[hidden email] / http://pcl.ros.org
https://code.ros.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL-users Digest, Vol 3, Issue 18

galenya
You are right. I recently changed my ros repository to use freiburg
mirror and now is pointing to the karmic repository (!). I'll change it
to lucid...

Sorry for the false alarm.

Guillem

P.D: Sorry also for the subject line of the mail. Next time I'll be more
careful when replying.

On 11/27/10 8:45 PM, Jeremy Leibs wrote:

> Are you sure you have actually installed the debs from the 10.04 apt repository?
>
> deb http://code.ros.org/packages/ros/ubuntu lucid main
>
> The debs there appear to have the correct dependency:
>
> libhdf5_cpp.so.6 =>  /usr/lib/libhdf5_cpp.so.6
>
>
> However, the debs in the 9.04 repository
>
> deb http://code.ros.org/packages/ros/ubuntu jaunty main
>
> Have a dependency on libhdf5_cpp-1.6.6.so.0, which is not going to be
> resolved on a lucid machine.
>
>
>
> On Sat, Nov 27, 2010 at 11:16 AM, Radu Bogdan Rusu
> <[hidden email]>  wrote:
>> Guillem,
>>
>> We just released or about to release a new set of Ubuntu packages. If the
>> cturtle SVN version works, then I suppose that this will be fixed with the
>> new packages -- if not, we'll investigate to see what went wrong.
>>
>> Thanks for the report!
>>
>> Cheers,
>> Radu.
>>
>>
>> On 11/27/2010 10:07 AM, Guillem Alenya wrote:
>>> Radu,
>>>
>>> the problem is in the Ubuntu 10.04 packages: libpcl_base.so depends on
>>> libhdf5_cpp-1.6.6.so.0
>>>
>>> The svn version of cturtle works fine for me. the newly compiled libpcl
>>> depends now on libhdf5_cpp.so.6 =>    /usr/lib/libhdf5_cpp.so.6
>>>
>>> Guillem
>>>> Galenya, Are you downloading the svn version of cturtle,
>>>>
>>>> https://code.ros.org/svn/ros-pkg/stacks/point_cloud_perception/branches/cturtle/
>>>> ? If not, can you please try that branch? It might be that either the
>>>> debian packages need to add that dependency, or that we screwed up and
>>>> need to re-release in cturtle. Cheers, Radu. On 11/26/2010 06:27 AM,
>>>> galenya wrote:
>>>>>>   Hi all,
>>>>>>
>>>>>>   On Ubuntu 10.04, the last cturtle packages installs
>>>>>>   point_cloud_perception with a wrong dependency:
>>>>>>
>>>>>>      >/usr/bin/ld: warning: libhdf5_cpp-1.6.6.so.0, needed by /opt/ro
>>>>>>   /cturtle/stacks/point_cloud_perception/pcl/lib/libpcl_base.so, not
>>>>>> found
>>>>>>
>>>>>>   make&      make clean has not helped me on the ros/stack directory
>>>>>>
>>>>>>   A svn download and build works fine, however.
>>>>>>
>>>>>>
>>> _______________________________________________
>>> [hidden email] / http://pcl.ros.org
>>> https://code.ros.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pcl.ros.org
https://code.ros.org/mailman/listinfo/pcl-users